package com.ktg.iscs.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ktg.iscs.domain.IsMailTemplate;

/**
 * 系统邮件模版Service接口
 *
 * @author cgj
 * @date 2025-01-15
 */
public interface IIsMailTemplateService extends IService<IsMailTemplate> {

    Page<IsMailTemplate> getIsMailTemplatePage(Page<IsMailTemplate> page, IsMailTemplate isMailTemplate);

    Boolean insertIsMailTemplate(IsMailTemplate isMailTemplate);

    Boolean updateIsMailTemplate(IsMailTemplate isMailTemplate);

    Boolean deleteIsMailTemplateByTemplateCodes(String templateIds);

}
